Echo (Apache Ant API)
Date: 2015-06-29

org.apache.tools.ant.taskdefs

## Class Echo

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Echo

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Echo
      extends Task

  Writes a message to the Ant logging facilities.
  Since:
    Ant 1.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Echo.EchoLevel` The enumerated values for the level attribute.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `append`
    `protected java.io.File` | `file`
    `protected int` | `logLevel`
    `protected java.lang.String` | `message`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Echo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addText(java.lang.String msg)` Set a multiline message.
    `void` | `execute()` Does the work.
    `void` | `setAppend(boolean append)` If true, append to existing file.
    `void` | `setEncoding(java.lang.String encoding)` Declare the encoding to use when outputting to a file; Use "" for the platform's default encoding.
    `void` | `setFile(java.io.File file)` File to write to.
    `void` | `setForce(boolean f)` Whether read-only destinations will be overwritten.
    `void` | `setLevel(Echo.EchoLevel echoLevel)` Set the logging level.
    `void` | `setMessage(java.lang.String msg)` Message to write.
    `void` | `setOutput(Resource output)` Resource to write to.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### message

          protected java.lang.String message

    - #### file

          protected java.io.File file

    - #### append

          protected boolean append

    - #### logLevel

          protected int logLevel

  - ### Constructor Detail

    - #### Echo

          public Echo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws BuildException

      Does the work.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if something goes wrong with the build

    - #### setMessage

          public void setMessage(java.lang.String msg)

      Message to write.
      Parameters:
        `msg` - Sets the value for the message variable.

    - #### setFile

          public void setFile(java.io.File file)

      File to write to.
      Parameters:
        `file` - the file to write to, if not set, echo to standard output

    - #### setOutput

          public void setOutput(Resource output)

      Resource to write to.
      Parameters:
        `output` - the Resource to write to.
      Since:
        Ant 1.8

    - #### setAppend

          public void setAppend(boolean append)

      If true, append to existing file.
      Parameters:
        `append` - if true, append to existing file, default is false.

    - #### addText

          public void addText(java.lang.String msg)

      Set a multiline message.
      Parameters:
        `msg` - the CDATA text to append to the output text

    - #### setLevel

          public void setLevel(Echo.EchoLevel echoLevel)

      Set the logging level. Level should be one of
      - error
      - warning
      - info
      - verbose
      - debug

      The default is "warning" to ensure that messages are displayed by default when using the -quiet command line option.

      Parameters:
        `echoLevel` - the logging level

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

      Declare the encoding to use when outputting to a file; Use "" for the platform's default encoding.
      Parameters:
        `encoding` - the character encoding to use.
      Since:
        1.7

    - #### setForce

          public void setForce(boolean f)

      Whether read-only destinations will be overwritten.

      Defaults to false

      Since:
        Ant 1.8.2